
{% block icon %}fa fa-warning{% endblock %}
{% block errorTitle %}
    <h1 class="main-title modal-padding">
        <i class="{{ block('icon') }} fa-space" aria-hidden="true"></i>
        Impossible d'accéder à {{ route }}
    </h1>
{% endblock %}

{% block body %}
    <section class="container bg-white">
        <header>
            <h2 class="h4">{{ message }}</h2>
        </header>
        <p>{{ message_description }}</p>
        <table class="table report-table">
            <tbody>
            <tr>
                <th>Page précédente</th>
                <td>{{ app.request.headers.get('referer') }}</td>
            </tr>
            <tr>
                <th>Cible de Requête</th>
                <td>{{ app.request.uri }}</td>
            </tr>
            <tr>
                <th>Méthode</th>
                <td>{{ app.request.method }}</td>
            </tr>
            <tr>
                <th>Exception</th>
                <td>{{ exception }}</td>
            </tr>
            <tr>
                <th>Timestamp</th>
                <td>{{ 'now'|date('Y-m-d H:i:s') }}</td>
            </tr>
            <tr>
                <th>Position</th>
                <td>{{ position|replace({' ': "\n"})|nl2br }}</td>
            </tr>
            </tbody>
        </table>
        <div>
            <button id="btn-copy-error-table" type="button" class="btn btn-primary">Copier le rapport dans le Presse-papiers</button>
        </div>
    </section>
    {% if debug %}
        {% for parsed in nested_exceptions %}
            <section class="container bg-white">
                <header>
                    <h2 class="h4"><strong>Error in: </strong>{{ parsed.error_in }}</h2>
                </header>
                <p>{{ parsed.exception_message }}</p>
                <br>
                <pre>{{ parsed.trace_as_string }}</pre>
            </section>
        {% endfor %}
    {% endif %}

    <script>
        $('#btn-copy-error-table').click(function() {
            var div = $(this).parent();
            var headers = div.parent().parent().find('h1:first, h2:first');
            var table = div.siblings('table');
            var reportText = '';
            headers.each(function() {
                reportText += $(this).prop("tagName") + ': ' + $(this).text().trim() + "\n";
            });
            table.find('tr').each(function() {
                reportText += $(this).find('th').text() + ': ' + $(this).find('td').text() + "\n";
            });
            var dummy = $('<textarea id="dummy"></textarea>').val(reportText);
            div.append(dummy);
            dummy.get(0).select();
            document.execCommand("copy");
            dummy.remove();
        });
    </script>
{% endblock %}
